Last Comment Bug 310737 - (xpinstall.enabled) 1.0.x users have no way to re-enable software installation (message bar that appears when xpinstall.enabled is false points to removed UI)
(xpinstall.enabled)
: 1.0.x users have no way to re-enable software installation (message bar that ...
Status: RESOLVED FIXED
[l10n impact] [see comment #42 for in...
: fixed1.8.1, relnote, useless-UI
Product: Firefox
Classification: Client Software
Component: Preferences (show other bugs)
: 1.5.0.x Branch
: All All
P1 major with 7 votes (vote)
: Firefox 2 alpha2
Assigned To: Steffen Wilberg
:
: Jared Wein [:jaws] (please needinfo? me)
Mentors:
: 312204 313600 315072 317099 317310 317763 317957 318197 318318 318321 318354 318359 318426 318517 318579 318649 318871 318906 319126 319692 319759 319952 319994 320061 321218 321736 323289 324845 330341 332107 332907 336476 336611 337116 337729 338086 339422 340910 344806 344807 345331 345623 347119 349083 352957 (view as bug list)
Depends on:
Blocks: 288054 310545
  Show dependency treegraph
 
Reported: 2005-10-01 15:46 PDT by Mano (::mano, needinfo? for any questions; not reading general bugmail)
Modified: 2006-09-16 11:30 PDT (History)
64 users (show)
asaf: blocking‑firefox2+
dveditz: blocking1.8.0.1-
dveditz: blocking1.8.0.2-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (7.44 KB, patch)
2005-10-03 16:41 PDT, Robert Strong [:rstrong] (use needinfo to contact me)
no flags Details | Diff | Splinter Review
screenshot (41.78 KB, image/png)
2005-10-03 16:48 PDT, Robert Strong [:rstrong] (use needinfo to contact me)
no flags Details
updated per comments (8.32 KB, patch)
2005-10-03 19:04 PDT, Robert Strong [:rstrong] (use needinfo to contact me)
no flags Details | Diff | Splinter Review
sreenshot (31.86 KB, image/png)
2005-10-03 19:06 PDT, Robert Strong [:rstrong] (use needinfo to contact me)
no flags Details
patch (4.02 KB, patch)
2005-10-15 17:44 PDT, Mano (::mano, needinfo? for any questions; not reading general bugmail)
mconnor: review-
Details | Diff | Splinter Review
show an Enable button on the Info bar (5.13 KB, patch)
2005-12-03 16:35 PST, Steffen Wilberg
no flags Details | Diff | Splinter Review
show an Enable button, v1.1 (5.06 KB, patch)
2005-12-29 06:18 PST, Steffen Wilberg
mconnor: review+
mbeltzner: ui‑review+
mconnor: approval‑branch‑1.8.1+
Details | Diff | Splinter Review
for checkin (trunk/1.8 branch) (5.02 KB, patch)
2006-04-04 14:51 PDT, Steffen Wilberg
no flags Details | Diff | Splinter Review

Description User image Mano (::mano, needinfo? for any questions; not reading general bugmail) 2005-10-01 15:46:03 PDT
Under bug 288054, we've removed the UI for xpinstall.enabled. That's fine for
anyone who hasn't disabled it in 1.0.x/deepark. However,  if it was turned off,
there's no way to re-enable it in 1.5 (except about:config).

Also, if xpinstall is disabled (by old UI, or by about:config), the message bar
which appears when one tries to do install an XPI points to removed UI.

One way to resolve it is to change the xpinstall message bar to have a "Allow"
button instead of the "Edit Options" button.
Comment 1 User image Mike Beltzner [:beltzner, not reading bugmail] 2005-10-01 18:47:46 PDT
As per bug 288054 comment 64, the original problem (update service not working
when xpinstall.enabled was false) apparently no longer exists, and it looks like
bug 307928 (disable update controls in EM when xpinstall.enabled is false) is
getting close to being done as well.

With all this in mind, it might just be better to back out the patch from bug
288054 and return control over xpinstall.enabled to the user.
Comment 2 User image Robert Strong [:rstrong] (use needinfo to contact me) 2005-10-01 23:42:18 PDT
If the patch for bug 288054 is backed out and the incorrect text is changed from
allow web sites to install software it would be great if the text made it
clearer that this setting affects updates as well as installs and should refer
to something along the lines of addons as discussed on irc to avoid confusion
with application update... and of course the fact that it disables all installs
vs. web sites as it stated before.
Comment 3 User image Mike Beltzner [:beltzner, not reading bugmail] 2005-10-03 11:56:43 PDT
Some options for the new, more accurate pref:

[ ] Add ons can be installed and updated                      [ Allowed Sites ]

-- or --

[ ] Extensions, plugins and themes can be installed & updated [ Allowed Sites ]

There is another alternative, and although I'm loathe to suggest adding more
preferences, it might just be easier to not confuse the whole "it's on/off"
thing with the whitelist thing:

[ ] Extensions, plugins and themes can be installed & updated
    [ ] Only certain web sites can install extensions         [ Allowed Sites ]

Please comment, as I feel I'm losing some perspective on this issue.
Comment 4 User image Robert Strong [:rstrong] (use needinfo to contact me) 2005-10-03 12:13:20 PDT
The last one is the most accurate since allowed sites only applies to the
whitelist - otherwise it appears that allowed sites applies to updates which it
doesn't. The other two - though more accurate than what we had before - would
just change what people are confused about. It might be better to change the
text on the second item to something along the lines of (needs better verbiage):
Only certain sites can initiate extension installs

The reason is that many people believe the whitelist prevents user initiated
installs for sites not listed. Either way it works for me and I believe the
majority of the users would understand it either way.
Comment 5 User image Asa Dotzler [:asa] 2005-10-03 14:13:34 PDT
Time is running out (and will have ran out in about 10 hours) so if this is
gonna make the 1.5 train, it'll need to happen real soon.
Comment 6 User image Robert Strong [:rstrong] (use needinfo to contact me) 2005-10-03 16:41:04 PDT
Created attachment 198377 [details] [diff] [review]
patch

This does the right thing for disabling / enabling the widgets... had to do
more than I had thought it would take.
Comment 7 User image Robert Strong [:rstrong] (use needinfo to contact me) 2005-10-03 16:48:31 PDT
Created attachment 198380 [details]
screenshot

using Mike's 3rd example.
Comment 8 User image Robert Strong [:rstrong] (use needinfo to contact me) 2005-10-03 17:17:19 PDT
Perhaps it would be just as good to not have the checkbox to disable
whitelisting per the 3rd example and just have a label? Then the label could be
associated with the button for what it accomplishes without associating the
xpinstall.enabled label with whitelisting.
Comment 9 User image Mike Beltzner [:beltzner, not reading bugmail] 2005-10-03 17:39:55 PDT
But if xpinstall.enabled=false, then the whitelist never really gets checked,
right? What I worry about there is that users might interpret the first
preference (corresponding to xpinstall.enabled) to be a global statement with
exceptions provided by the second (which corresponds to
xpinstall.enabled.whitelist).
Comment 10 User image Robert Strong [:rstrong] (use needinfo to contact me) 2005-10-03 17:47:17 PDT
True though the button would be disabled for the exceptions. Also, with the
checkbox it is easier to keep the look in the ui consistent. I copied your text
verbatim so if you want something changed please say so. I used the first
accesskey available on the panel as can be seen in the screenshot.
Comment 11 User image Mike Beltzner [:beltzner, not reading bugmail] 2005-10-03 18:30:08 PDT
Thanks, Rob. A few suggested tweaks:

<!ENTITY  enableExtWhitelist.label    "only allow certain web sites to install
extensions">
<!ENTITY  allowedSitesSoftware.label  "Allowed Sites">

You'll have to shuffle the accesskeys around as well:

<!ENTITY  enableExtWhitelist.accesskey      "x">
<!ENTITY  allowedSitesSoftware.accesskey    "o">

(note that I'm also suggesting that the label for the button switch back to
allowedSitesSoftware.label|accesskey to alert l10n, although if this gets taken,
we'll need to alert the l10n folk, too)

This should leave us with:

.------------------------------------------------------------------------------.
|[ ] Block Popup Windows                                       [Allowed Sites] |
|[ ] Extensions, plugins and themes can be installed & updated                 |
|     [ ] only allow certain web sites to install extensions   [Allowed Sites] |
|[ ] Load Images                                               [ Exceptions  ] |
|     [ ] for originating website only                                         |
|[ ] Enable Javascript                                                         |
|[ ] Enable Java                                               [ Advanced... ] |
|                                                                              |
'------------------------------------------------------------------------------'
Comment 12 User image Robert Strong [:rstrong] (use needinfo to contact me) 2005-10-03 19:04:23 PDT
Created attachment 198395 [details] [diff] [review]
updated per comments

Also changed the onsyncfrompreference for enableExtensionWhitelist since the
button's disabled state could be overruled by xpinstall.whitelist.required when
xpinstall.enabled was false.
Comment 13 User image Robert Strong [:rstrong] (use needinfo to contact me) 2005-10-03 19:06:37 PDT
Created attachment 198396 [details]
sreenshot
Comment 14 User image Mike Beltzner [:beltzner, not reading bugmail] 2005-10-03 20:11:08 PDT
As per IRC conversation with mconnor, this shouldn't be blocking 1.5b2, but
should definitely be resolved before 1.5final.
Comment 15 User image Dave Townsend [:mossop] 2005-10-12 10:54:29 PDT
*** Bug 312204 has been marked as a duplicate of this bug. ***
Comment 16 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2005-10-12 11:06:12 PDT
*** Bug 312204 has been marked as a duplicate of this bug. ***
Comment 17 User image Mano (::mano, needinfo? for any questions; not reading general bugmail) 2005-10-15 16:21:53 PDT
nominating (see comment 14)
Comment 18 User image Mano (::mano, needinfo? for any questions; not reading general bugmail) 2005-10-15 16:23:06 PDT
At the very least, we should reslove the message bar issue.
Comment 19 User image Mano (::mano, needinfo? for any questions; not reading general bugmail) 2005-10-15 17:44:16 PDT
Created attachment 199702 [details] [diff] [review]
patch

1) Reset xpinstall.enabled to true on first startup 2) Replace the message bar
with an alert (for those who turn off xpinstall.enabled via about:config).
Comment 20 User image Steffen Wilberg 2005-10-16 13:41:37 PDT
How about showing an Enable button on the info bar?
"Software installation is currently disabled. Click Enable to enable it and try
again."
Comment 21 User image Mike Beltzner [:beltzner, not reading bugmail] 2005-10-17 10:55:16 PDT
(In reply to comment #20)
> How about showing an Enable button on the info bar?
> "Software installation is currently disabled. Click Enable to enable it and try
> again."

I believe that the argument goes that sysadmins might want to be able to prevent
their users from being able to install extensions (as it's a security risk to
their terminals).

Mano/mconnor: if we flip this pref, we're gonna have to make sure that it gets
into whatever release note documentation accompanies the platform for any
sysadmins who were trying to control extension installs this way. I'm still not
entirely sold that we want to flip the pref for migrated profiles, really ...
Comment 22 User image Asa Dotzler [:asa] 2005-10-17 11:55:52 PDT
Not going to block the release on this but we'd consider a fully reviewed and
verified on the trunk patch to repair the information bar, if our Localization
team doesn't threaten to murder us all.
Comment 23 User image Robert Strong [:rstrong] (use needinfo to contact me) 2005-10-17 17:21:17 PDT
attachment 198395 [details] [diff] [review] is also still an option - what ever method is chosen there
would be a l10n impact. The only thing it is missing is handling the case where
the pref is locked like the majority if not all of the prefpanels and it keeps
the status quo of using the browsermessage which is a good thing for the sake of
consistency as well as not using an alert.
Comment 24 User image Axel Hecht [:Pike] 2005-10-21 13:45:02 PDT
With EuroOSCON-BarCamp-no-sleep, if we can arrange for a travel budget, I can sure
find some l10n team to make some time to head out and kill you ;-).

*If* we want to take a patch, please write up a thorough doc to be posted to l10n 
to explain the actual change, attachment 198395 [details] [diff] [review] is not something that I understand
ad-hoc or by glancing over the bug comments. Looking at the screenshot 198396,
selecting "only allow certain web sites to install extensions" doesn't look like
a thing that I would want on. (With my brains off only, of course, but that's 
what we want to safeguard, right?)
Comment 25 User image Robert Strong [:rstrong] (use needinfo to contact me) 2005-10-24 06:55:03 PDT
*** Bug 313600 has been marked as a duplicate of this bug. ***
Comment 26 User image Mike Connor [:mconnor] 2005-10-25 06:57:53 PDT
Comment on attachment 199702 [details] [diff] [review]
patch

alerts suck.  There was a minor bit of discussion between Mano and I where it was agreed that the modal dialog wasn't a good thing, and what we wanted was to make the button text simply "close" since we apparently can't not have it.
Comment 27 User image Mike Beltzner [:beltzner, not reading bugmail] 2005-10-31 14:15:45 PST
Should get a low-bar fix in for RC2: change the dialog to say "Software install is disabled [x]" and remove the [Options..] button. Mano, do you have time to whip that up for us?
Comment 28 User image Mike Beltzner [:beltzner, not reading bugmail] 2005-10-31 14:18:10 PST
Mano: sorry, my bad, I misunderstood criteria for RC2. nm on that patch request!
Comment 29 User image Robert Strong [:rstrong] (use needinfo to contact me) 2005-10-31 21:16:01 PST
Mano mentioned on irc regarding an earlier patch that the pref panel should respect the xpinstall.enabled which I agree with so I am mentioning it here so it doesn't get overlooked when this is fixed on the trunk.

If xpinstall.enabled is false the pref ui for "Warn me when web sites try to install extensions and themes" should probably be disabled - preferably with why it is disabled - since it is not possible to warn when this pref is false or for that matter have allowed sites.
Comment 30 User image Robert Strong [:rstrong] (use needinfo to contact me) 2005-11-04 08:37:45 PST
*** Bug 315072 has been marked as a duplicate of this bug. ***
Comment 31 User image Ria Klaassen (not reading all bugmail) 2005-11-20 06:44:16 PST
Please don't ship 1.5 without a patch or it will become very crowded on the support forums! :)
See Bug 317099.
Comment 32 User image Michael Lefevre 2005-11-20 09:20:45 PST
*** Bug 317099 has been marked as a duplicate of this bug. ***
Comment 33 User image Joe Java 2005-11-21 07:14:25 PST
Using RC3 and still I can not add an extension easily.  
I follow the "Get more extensions" link from the extensions window.
I find an extension I like, I click "Install Now" and the popup blocker appears.
It has a nice button for changing extension permission, but no matter what I select it refuses to download the extension to load.  Please just add a button that says "Allow Install".  How freaking hard is this.  Your present system sucks.  It is good that a website is blocked from secretly adding an extension, but the system is so poorly designed that even when a user WANTS an extension he/she is prevented from doing so.  MAKE IT SIMPLE!!!
Comment 34 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2005-11-21 10:29:06 PST
*** Bug 317310 has been marked as a duplicate of this bug. ***
Comment 35 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2005-11-27 14:25:34 PST
*** Bug 317957 has been marked as a duplicate of this bug. ***
Comment 36 User image Reed Loden [:reed] (use needinfo?) 2005-11-29 17:16:56 PST
*** Bug 318197 has been marked as a duplicate of this bug. ***
Comment 37 User image Nick Thomas [:nthomas] 2005-11-30 07:25:54 PST
*** Bug 318318 has been marked as a duplicate of this bug. ***
Comment 38 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2005-11-30 08:03:05 PST
*** Bug 318321 has been marked as a duplicate of this bug. ***
Comment 39 User image Ryan Flint [:rflint] (ping via IRC for reviews) 2005-11-30 09:22:14 PST
*** Bug 318354 has been marked as a duplicate of this bug. ***
Comment 40 User image Ryan Flint [:rflint] (ping via IRC for reviews) 2005-11-30 09:27:12 PST
*** Bug 318359 has been marked as a duplicate of this bug. ***
Comment 41 User image Dave Townsend [:mossop] 2005-11-30 14:44:11 PST
*** Bug 318426 has been marked as a duplicate of this bug. ***
Comment 42 User image Reed Loden [:reed] (use needinfo?) 2005-11-30 14:51:52 PST
Quoting "http://www.mozilla.com/firefox/releases/1.5.html":

"If you disabled xpinstall in Firefox 1.0.x by unselecting the Allow Web sites to Install Software preference (changed in Firefox 1.5), use about:config to set the xpinstall.enabled preference to true to re-enable installs."

This basically means going to "about:config" in your address bar, searching for "xpinstall.enabled", and changing the value to true by right-clicking and selecting "Reset" to set it back to the default.
Comment 43 User image Reed Loden [:reed] (use needinfo?) 2005-12-01 01:14:58 PST
*** Bug 318517 has been marked as a duplicate of this bug. ***
Comment 44 User image Dave Townsend [:mossop] 2005-12-01 09:02:50 PST
*** Bug 318579 has been marked as a duplicate of this bug. ***
Comment 45 User image Reed Loden [:reed] (use needinfo?) 2005-12-01 16:31:57 PST
*** Bug 318649 has been marked as a duplicate of this bug. ***
Comment 46 User image Carl 2005-12-02 11:28:54 PST
Changed xpinstall.enabled to true as recomended in comment #42.

The next problem was none of the very few extensions that are rated for 1.5 would install because of some problem with chrome not being properly registered.

Have uninstalled 1.5 and re-installed 1.07. Will wait till the bugs are worked out of 1.5.

As this was a known problem, 1.5 should not have been released, better to hold off a few days rather than chase users away.

If less devoted/new FireFox users run into this problem, and they have, they will no doubt go back to IE and never return.

In any case thanks to all that work on FireFox, I will continue to spread the word. Just not on 1.5 for awhile.
Comment 47 User image Reed Loden [:reed] (use needinfo?) 2005-12-02 22:05:45 PST
*** Bug 318871 has been marked as a duplicate of this bug. ***
Comment 48 User image Steffen Wilberg 2005-12-03 16:35:02 PST
Created attachment 204923 [details] [diff] [review]
show an Enable button on the Info bar

So if xpinstall is disabled and the pref is locked, which means that an adminstrator doesn't want the user to install software, we should tell the user "Sorry, you are not allowed to install software in Firefox."

If however the pref is not locked, the user should be able to re-enable xpinstall by clicking an Enable button on the info bar. That would help users who have disabled xpinstall in 1.0.x and wonder why they can't re-enable it in 1.5.

The patch also enables the close button on the info bar.
Comment 49 User image Reed Loden [:reed] (use needinfo?) 2005-12-03 17:44:35 PST
*** Bug 318906 has been marked as a duplicate of this bug. ***
Comment 50 User image Mike Connor [:mconnor] 2005-12-04 10:47:07 PST
The strings aren't right, but the patch is technically correct.

Problems I don't have cycles to think about today:

Re-enabling doesn't have a clear result, but with whitelisting and a clear dialog, this isn't so bad.  (beltzner?)

Sorry shouldn't be used in strings.  Perhaps "Software installation has been disabled by your system administrator." is better.
Comment 51 User image Ryan Flint [:rflint] (ping via IRC for reviews) 2005-12-05 06:43:41 PST
*** Bug 319126 has been marked as a duplicate of this bug. ***
Comment 52 User image Bryce Mozilla Nesbitt 2005-12-06 12:51:59 PST
On windows here's what I see:
I ran into this, and guessed correctly the cause.  So I uninstalled firefox 1.5.  But, it's sticky!!  The new firefox 1.5 picked up my old themes and prefs. 

So I uninstalled again, and deleted c:\program files\firefox.  Now the themes are gone.  But the prefs are still sticky!!

To prevent future bugs like this, how can firefox be really really really removed?
Comment 53 User image Michael Lefevre 2005-12-06 13:23:08 PST
You don't need to "really really remove Firefox" to fix this. The explanation is in this bug, and also in the FAQ in the support forum, which would have been the right place for your question. The post in the support forum also explains how to remove your profile, if you really really want to). http://forums.mozillazine.org/viewtopic.php?t=341279
Comment 54 User image Nick Thomas [:nthomas] 2005-12-09 06:30:37 PST
*** Bug 319692 has been marked as a duplicate of this bug. ***
Comment 55 User image Bryce Mozilla Nesbitt 2005-12-10 10:10:30 PST
An option to ignore the old profile, at install time, could go a long way to addressing this entire class of bugs.  Is it worth submitting a patch?
Comment 56 User image Matthew Elvey 2005-12-10 13:24:50 PST
*** Bug 317763 has been marked as a duplicate of this bug. ***
Comment 57 User image Matthew Elvey 2005-12-10 13:29:59 PST
*** Bug 319759 has been marked as a duplicate of this bug. ***
Comment 58 User image Nick Thomas [:nthomas] 2005-12-12 03:33:12 PST
*** Bug 319952 has been marked as a duplicate of this bug. ***
Comment 59 User image Nick Thomas [:nthomas] 2005-12-12 10:02:13 PST
*** Bug 319994 has been marked as a duplicate of this bug. ***
Comment 60 User image Reed Loden [:reed] (use needinfo?) 2005-12-12 19:45:00 PST
*** Bug 320061 has been marked as a duplicate of this bug. ***
Comment 61 User image Rishi Maharaj 2005-12-15 13:13:10 PST
Jonathan, I'm pretty sure the blocking1.8.1 flag is redundant is light of the fact that this bug has already been accepted as a blocker for 2.0, since 2.0 will be released off of the yet-to-be-created 1.8.1 branch.
Comment 62 User image Jonathan Haas 2005-12-16 08:13:09 PST
Sorry, you are right.

I'll remove that flag.
Comment 63 User image john jefferys 2005-12-19 07:04:07 PST
I am an average day to day user trying to get away from IE and Outlook. I see solutions to the problems I have, but I don't understand them. Can anyone help me in plain english?
My problems are:
I cannot themes in Firefox and
Sunbird will not open unless I re-download the program, then it opens once and has kept all the appointments etc.
Comment 64 User image Dave Townsend [:mossop] 2005-12-19 07:10:30 PST
(In reply to comment #63)
> I am an average day to day user trying to get away from IE and Outlook. I see
> solutions to the problems I have, but I don't understand them. Can anyone help
> me in plain english?

Bugzilla is not the place for average users to get support, please visit the support forums at http://forum.mozillazine.org or log onto IRC http://irc.mozilla.org for user support.

Sorry for the bugspam everyone.
Comment 65 User image Nick Thomas [:nthomas] 2005-12-22 06:09:59 PST
*** Bug 321218 has been marked as a duplicate of this bug. ***
Comment 66 User image Patrick Linnen 2005-12-22 12:47:29 PST
Fix is to open 1.0.7 browser (if older version is still installed) and turing option back on will let 1.5 Firefox to install extensions.
Comment 67 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2005-12-23 06:05:51 PST
(In reply to comment #66)
> Fix is to open 1.0.7 browser (if older version is still installed) and turing
> option back on will let 1.5 Firefox to install extensions.

No need to use an older version, you can just follow the steps in comment 42.
Comment 68 User image Robert Strong [:rstrong] (use needinfo to contact me) 2005-12-28 11:56:26 PST
*** Bug 321736 has been marked as a duplicate of this bug. ***
Comment 69 User image Steffen Wilberg 2005-12-29 06:18:26 PST
Created attachment 207072 [details] [diff] [review]
show an Enable button, v1.1

(In reply to comment #50)
> Problems I don't have cycles to think about today:
> 
> Re-enabling doesn't have a clear result, but with whitelisting and a clear
> dialog, this isn't so bad.  (beltzner?)
I don't think clicking the button on the info bar should trigger the xpinstall dialog right away. This doesn't happen after adding a site to the whitelist either: you have to click again on the extension install link. We should be consistent here.

> Sorry shouldn't be used in strings.  Perhaps "Software installation has been
> disabled by your system administrator." is better.
Fixed.
Comment 70 User image Daniel Veditz [:dveditz] 2006-01-04 10:07:54 PST
We're not currently considering any l10n changes for the 1.5.0.1 release.
Comment 71 User image Elmar Ludwig 2006-01-13 04:53:54 PST
*** Bug 323289 has been marked as a duplicate of this bug. ***
Comment 72 User image Robert Strong [:rstrong] (use needinfo to contact me) 2006-01-20 01:59:53 PST
iirc we have previously recommended disabling xpinstall for the iconURL bug. I mention this because if we don't add the ui back I don't think we could reasonably make this recommendation if we want to recommend disabling xpinstall as a work around to such a bug in the future (e.g. would require telling users to do this in about:config). On the other hand we have already bit the bullet by removing it.

If the ui to enable / disable it is not shown in the pref panel "Warn me when web sites try to install software" checkbox and associated "Exceptions" button should probably be disable when xpinstall.enabled is false since they only apply when xpinstall.enabled is true.
Comment 73 User image Nick Thomas [:nthomas] 2006-01-26 12:43:39 PST
*** Bug 324845 has been marked as a duplicate of this bug. ***
Comment 74 User image Jim Wilson 2006-02-08 13:35:35 PST
Having read all the comments on this bug I find myself still saying the exact same thing; it was SO much easier in 1.0.7 to install themes and extensions. This really shouldn't require an about:config setting change -- it should merely be something in Tools/Options. A few clicks and you're all done.

I strongly urge you to consider making this easy again. After all, extensions and themes are some of Firefox's biggest selling points. Why diminish there significance by mkaing it so difficult to add them?
Comment 75 User image Daniel Veditz [:dveditz] 2006-02-21 14:58:49 PST
Can't accept l10n changes in 1.8.0.x for things like this.
Comment 76 User image Robert Strong [:rstrong] (use needinfo to contact me) 2006-03-13 12:15:00 PST
*** Bug 330341 has been marked as a duplicate of this bug. ***
Comment 77 User image Dave Townsend [:mossop] 2006-03-29 07:43:01 PST
*** Bug 332107 has been marked as a duplicate of this bug. ***
Comment 78 User image Mike Connor [:mconnor] 2006-04-03 23:38:33 PDT
Comment on attachment 207072 [details] [diff] [review]
show an Enable button, v1.1

r=me, but we need to change the property names so l10n people find out about the changes.

beltzner, care to sign off on this?  Basically, it makes the Edit Options button label Enable, which just enables software install.  If the pref is locked by the network admin, the message will say that, and not show the button.
Comment 79 User image Mike Beltzner [:beltzner, not reading bugmail] 2006-04-04 06:03:22 PDT
Comment on attachment 207072 [details] [diff] [review]
show an Enable button, v1.1

signed off with a smile :)
Comment 80 User image Steffen Wilberg 2006-04-04 14:51:22 PDT
Created attachment 217205 [details] [diff] [review]
for checkin (trunk/1.8 branch)

I changed the property names.
Comment 81 User image Steffen Wilberg 2006-04-04 15:00:51 PDT
Trunk:
Checking in mozilla/browser/base/content/browser.js;
/cvsroot/mozilla/browser/base/content/browser.js,v  <--  browser.js
new revision: 1.605; previous revision: 1.604
done
Checking in mozilla/browser/locales/en-US/chrome/browser/browser.properties;
/cvsroot/mozilla/browser/locales/en-US/chrome/browser/browser.properties,v  <--  browser.properties
new revision: 1.24; previous revision: 1.23
done

1.8 branch:
Checking in mozilla/browser/base/content/browser.js;
/cvsroot/mozilla/browser/base/content/browser.js,v  <--  browser.js
new revision: 1.479.2.106; previous revision: 1.479.2.105
done
Checking in mozilla/browser/locales/en-US/chrome/browser/browser.properties;
/cvsroot/mozilla/browser/locales/en-US/chrome/browser/browser.properties,v  <--  browser.properties
new revision: 1.20.2.4; previous revision: 1.20.2.3
done
Comment 82 User image Robert Strong [:rstrong] (use needinfo to contact me) 2006-04-06 10:33:26 PDT
*** Bug 332907 has been marked as a duplicate of this bug. ***
Comment 83 User image Robert Strong [:rstrong] (use needinfo to contact me) 2006-05-03 12:07:26 PDT
*** Bug 336476 has been marked as a duplicate of this bug. ***
Comment 84 User image Cameron 2006-05-04 08:25:09 PDT
*** Bug 336611 has been marked as a duplicate of this bug. ***
Comment 85 User image Robert Strong [:rstrong] (use needinfo to contact me) 2006-05-08 04:36:25 PDT
*** Bug 337116 has been marked as a duplicate of this bug. ***
Comment 86 User image Robert Strong [:rstrong] (use needinfo to contact me) 2006-05-15 21:21:44 PDT
*** Bug 338086 has been marked as a duplicate of this bug. ***
Comment 87 User image Robert Strong [:rstrong] (use needinfo to contact me) 2006-05-15 21:23:07 PDT
*** Bug 337729 has been marked as a duplicate of this bug. ***
Comment 88 User image Ria Klaassen (not reading all bugmail) 2006-05-27 05:18:22 PDT
*** Bug 339422 has been marked as a duplicate of this bug. ***
Comment 89 User image Dave Townsend [:mossop] 2006-06-09 10:13:42 PDT
*** Bug 340910 has been marked as a duplicate of this bug. ***
Comment 90 User image Ryan Flint [:rflint] (ping via IRC for reviews) 2006-07-15 23:31:08 PDT
*** Bug 344806 has been marked as a duplicate of this bug. ***
Comment 91 User image Dave Townsend [:mossop] 2006-07-16 02:22:47 PDT
*** Bug 344807 has been marked as a duplicate of this bug. ***
Comment 92 User image Ryan Flint [:rflint] (ping via IRC for reviews) 2006-07-20 08:41:57 PDT
*** Bug 345331 has been marked as a duplicate of this bug. ***
Comment 93 User image Ryan Flint [:rflint] (ping via IRC for reviews) 2006-07-22 22:26:46 PDT
*** Bug 345623 has been marked as a duplicate of this bug. ***
Comment 94 User image Robert Strong [:rstrong] (use needinfo to contact me) 2006-08-06 23:59:19 PDT
*** Bug 347119 has been marked as a duplicate of this bug. ***
Comment 95 User image Steffen Wilberg 2006-08-08 03:25:31 PDT
This is not acceptable on the 1.8.0 branch because of the string changes, right?
Comment 96 User image Axel Hecht [:Pike] 2006-08-08 03:33:21 PDT
(In reply to comment #95)

Yes.
Comment 97 User image Robert Strong [:rstrong] (use needinfo to contact me) 2006-08-17 16:01:45 PDT
*** Bug 349083 has been marked as a duplicate of this bug. ***
Comment 98 User image Cameron 2006-09-16 11:13:49 PDT
*** Bug 352957 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.